Groovy 1.7.0

## groovy.swing.binding
Class JTableSelectedElementBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JTableSelectedElementBinding

All Implemented Interfaces:
  PropertyChangeListener

    class JTableSelectedElementBinding
    extends AbstractSyntheticBinding

Field Summary
`JTable` | `boundTable`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`protected JTableSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)`

Method Summary
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `syntheticBind()`
`void` | `syntheticUnbind()`
`void` | `valueChanged(ListSelectionEvent e)`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundTable

    JTable boundTable

Constructor Detail

### JTableSelectedElementBinding

    protected JTableSelectedElementBinding(PropertyBinding source, TargetBinding target, String propertyName)

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### syntheticBind

    public void syntheticBind()

### syntheticUnbind

    public void syntheticUnbind()

### valueChanged

    public void valueChanged(ListSelectionEvent e)

Copyright © 2003-2009 The Codehaus. All rights reserved.